Read SMS gateway
curl --request GET \
--url https://apiweb.mile.app/api/v3/sms-gateway \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/sms-gateway"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/sms-gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiweb.mile.app/api/v3/sms-gateway",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiweb.mile.app/api/v3/sms-gateway"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiweb.mile.app/api/v3/sms-gateway")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiweb.mile.app/api/v3/sms-gateway")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"id": "6710a2c4e4b0a91d2c3f5b21",
"integrationType": "sms_gateway",
"label": "Main SMS provider",
"endpoint": "https://sms.example.com/api/send",
"httpMethod": "POST",
"headers": {},
"bodyParams": [
{
"key": "to",
"value": "{recipient}",
"secret": false
},
{
"key": "text",
"value": "{message}",
"secret": false
}
],
"successMatch": {
"jsonPath": "status",
"equals": "queued"
},
"status": "connected",
"validatedAt": "2026-10-16T03:00:00+00:00",
"isActive": true
}
}{
"status": false,
"message": "Internal server error, please contact [email protected]."
}Integration
Read SMS gateway
Returns your organization’s own SMS gateway (the HTTP SMS provider used to send SMS such as OTP codes), with secret values masked. data is null when none is set up.
Requires permission view/appIntegration.
GET
/
sms-gateway
Read SMS gateway
curl --request GET \
--url https://apiweb.mile.app/api/v3/sms-gateway \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/sms-gateway"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/sms-gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apiweb.mile.app/api/v3/sms-gateway",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiweb.mile.app/api/v3/sms-gateway"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiweb.mile.app/api/v3/sms-gateway")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apiweb.mile.app/api/v3/sms-gateway")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"id": "6710a2c4e4b0a91d2c3f5b21",
"integrationType": "sms_gateway",
"label": "Main SMS provider",
"endpoint": "https://sms.example.com/api/send",
"httpMethod": "POST",
"headers": {},
"bodyParams": [
{
"key": "to",
"value": "{recipient}",
"secret": false
},
{
"key": "text",
"value": "{message}",
"secret": false
}
],
"successMatch": {
"jsonPath": "status",
"equals": "queued"
},
"status": "connected",
"validatedAt": "2026-10-16T03:00:00+00:00",
"isActive": true
}
}{
"status": false,
"message": "Internal server error, please contact [email protected]."
}